commit b319e683fec34bbb9a43c86c82c11b04207427b7
Author: Dominic Cleal <dcleal@redhat.com>
Date:   Fri Aug 21 11:11:12 2015 +0100

    Converted spec files

diff --git a/facter/facter.spec b/facter/facter.spec
index 03e8c2904..33c310803 100644
--- a/facter/facter.spec
+++ b/facter/facter.spec
@@ -29,13 +29,13 @@ Source1:        https://downloads.puppetlabs.com/%{pkg_name}/%{pkg_name}-%{versi
 BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 # Upstream claims to only support 1.8.7 and higher
-BuildRequires:  %{?scl_prefix}ruby >= 1.8.7
-BuildRequires:  %{?scl_prefix}ruby-devel
+BuildRequires:  %{?scl_prefix_ruby}ruby >= 1.8.7
+BuildRequires:  %{?scl_prefix_ruby}ruby-devel
 %if %{enable_check}
 BuildRequires:  net-tools
-BuildRequires:  %{?scl_prefix}rubygem(mocha)
-BuildRequires:  %{?scl_prefix}rubygem(rspec-core)
-BuildRequires:  %{?scl_prefix}rubygem(rspec)
+BuildRequires:  %{?scl_prefix_ruby}rubygem(mocha)
+BuildRequires:  %{?scl_prefix_ruby}rubygem(rspec-core)
+BuildRequires:  %{?scl_prefix_ruby}rubygem(rspec)
 %endif
 
 # dmidecode and pciutils are not available on all arches
@@ -48,12 +48,13 @@ Requires:       net-tools
 # Work around the lack of ruby in the default mock buildroot
 %if "%{ruby_version}"
 %if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
-Requires:       %{?scl_prefix}ruby(release)
+Requires:       %{?scl_prefix_ruby}ruby(release)
 %else
-Requires:       %{?scl_prefix}ruby(abi) = %{ruby_version}
+Requires:       %{?scl_prefix_ruby}ruby(abi) = %{ruby_version}
 %endif
 %endif
 Requires:       which
+%{?scl:Obsoletes: ruby193-facter}
 
 %description
 Facter is a lightweight program that gathers basic node information about the
diff --git a/foreman-installer/foreman-installer.spec b/foreman-installer/foreman-installer.spec
index af9827011..e770558c8 100644
--- a/foreman-installer/foreman-installer.spec
+++ b/foreman-installer/foreman-installer.spec
@@ -29,9 +29,9 @@ Requires:   %{?scl_prefix}rubygem-apipie-bindings >= 0.0.6
 Requires:   foreman-selinux
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:   %{?scl_prefix}ruby(abi)
+Requires:   %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:   %{?scl_prefix}ruby(release)
+Requires:   %{?scl_prefix_ruby}ruby(release)
 %endif
 Requires:   %{?scl_prefix}rubygem-highline
 
diff --git a/foreman-proxy/foreman-proxy.spec b/foreman-proxy/foreman-proxy.spec
index d7d343a82..17770dd5f 100644
--- a/foreman-proxy/foreman-proxy.spec
+++ b/foreman-proxy/foreman-proxy.spec
@@ -35,22 +35,22 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  /usr/bin/rename
 BuildRequires:  asciidoc
-BuildRequires:  %{?scl_prefix}rubygem(rake) >= 0.8.3
+BuildRequires:  %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-BuildRequires: %{?scl_prefix}ruby(abi)
-Requires:      %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
+Requires:      %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
-Requires:      %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
+Requires:      %{?scl_prefix_ruby}ruby(release)
 %endif
 
 Requires:       foreman-debug
-Requires:       %{?scl_prefix}rubygems
-Requires:       %{?scl_prefix}rubygem(rake) >= 0.8.3
-Requires:       %{?scl_prefix}rubygem(sinatra)
-Requires:       %{?scl_prefix}rubygem(rack) >= 1.1.0
-Requires:       %{?scl_prefix}rubygem(json)
+Requires:       %{?scl_prefix_ruby}rubygems
+Requires:       %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
+Requires:       %{?scl_prefix_ruby}rubygem(sinatra)
+Requires:       %{?scl_prefix_ruby}rubygem(rack) >= 1.1.0
+Requires:       %{?scl_prefix_ruby}rubygem(json)
 Requires:       %{?scl_prefix}rubygem(rkerberos)
 Requires:       %{?scl_prefix}rubygem(rubyipmi) >= 0.9.2
 Requires:       %{?scl_prefix}rubygem(gssapi)
diff --git a/foreman/foreman.spec b/foreman/foreman.spec
index 57df0b6fd..4594e29d0 100644
--- a/foreman/foreman.spec
+++ b/foreman/foreman.spec
@@ -38,18 +38,18 @@ Source8: %{name}.gpg
 BuildArch:  noarch
 
 %if 0%{?fedora} && 0%{?fedora} < 17
-Requires: %{?scl_prefix}ruby(abi) = 1.8
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.8
 %else
 %if 0%{?fedora} && 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
 %endif
 Requires: %{scl_ruby}
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 Requires: %{?scl_prefix}facter
-Requires: %{?scl_prefix}rubygem(rake) >= 0.8.3
+Requires: %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
 Requires: %{?scl_prefix}rubygem(bundler_ext)
 
 Requires: wget
@@ -64,12 +64,12 @@ Requires(postun): initscripts
 Requires: %{name}-debug
 
 # Gemfile
-Requires: %{?scl_prefix}rubygem(rails) >= 3.2.8
-Requires: %{?scl_prefix}rubygem(rails) < 3.3.0
+Requires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.8
+Requires: %{?scl_prefix_ruby}rubygem(rails) < 3.3.0
 # minitest - workaround as rubygem-activesupport is missing dep
-Requires: %{?scl_prefix}rubygem(minitest)
-Requires: %{?scl_prefix}rubygem(json) >= 1.5
-Requires: %{?scl_prefix}rubygem(json) < 2.0
+Requires: %{?scl_prefix_ruby}rubygem(minitest)
+Requires: %{?scl_prefix_ruby}rubygem(json) >= 1.5
+Requires: %{?scl_prefix_ruby}rubygem(json) < 2.0
 Requires: %{?scl_prefix}rubygem(rest-client) >= 1.6
 Requires: %{?scl_prefix}rubygem(rest-client) < 1.7
 Requires: %{?scl_prefix}rubygem(audited-activerecord) = 3.0.0
@@ -117,18 +117,18 @@ Requires: %{?scl_prefix}rubygem(rack-jsonp)
 BuildRequires: gettext
 BuildRequires: asciidoc
 BuildRequires: %{scl_ruby}
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildRequires: %{?scl_prefix}facter
-BuildRequires: %{?scl_prefix}rubygem(rake) >= 0.8.3
+BuildRequires: %{?scl_prefix_ruby}rubygem(rake) >= 0.8.3
 BuildRequires: %{?scl_prefix}rubygem(bundler_ext)
-BuildRequires: %{?scl_prefix}rubygem(sqlite3)
+BuildRequires: %{?scl_prefix_ruby}rubygem(sqlite3)
 # Gemfile
-BuildRequires: %{?scl_prefix}rubygem(rails) >= 3.2.8
-BuildRequires: %{?scl_prefix}rubygem(rails) < 3.3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) >= 3.2.8
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) < 3.3.0
 # minitest - workaround as rubygem-activesupport is missing dep
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygem(json) >= 1.5
-BuildRequires: %{?scl_prefix}rubygem(json) < 2.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(json) >= 1.5
+BuildRequires: %{?scl_prefix_ruby}rubygem(json) < 2.0
 BuildRequires: %{?scl_prefix}rubygem(rest-client) >= 1.6
 BuildRequires: %{?scl_prefix}rubygem(rest-client) < 1.7
 BuildRequires: %{?scl_prefix}rubygem(audited-activerecord) = 3.0.0
@@ -170,15 +170,15 @@ BuildRequires: %{?scl_prefix}rubygem(turbolinks) < 3.0
 BuildRequires: %{?scl_prefix}rubygem(logging) >= 1.8
 BuildRequires: %{?scl_prefix}rubygem(logging) < 3.0
 # assets
-BuildRequires: %{?scl_prefix}rubygem(sass-rails) >= 3.2
-BuildRequires: %{?scl_prefix}rubygem(sass-rails) < 4.0
-BuildRequires: %{?scl_prefix}rubygem(uglifier) >= 1.0.3
-BuildRequires: %{?scl_prefix}rubygem(execjs) >= 1.4.0
-BuildRequires: %{?scl_prefix}rubygem(execjs) < 2.5.0
-BuildRequires: %{?scl_prefix}rubygem(jquery-rails) >= 2.0.2
-BuildRequires: %{?scl_prefix}rubygem(jquery-rails) < 2.1
+BuildRequires: %{?scl_prefix_ruby}rubygem(sass-rails) >= 3.2
+BuildRequires: %{?scl_prefix_ruby}rubygem(sass-rails) < 4.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(uglifier) >= 1.0.3
+BuildRequires: %{?scl_prefix_ruby}rubygem(execjs) >= 1.4.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(execjs) < 2.5.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(jquery-rails) >= 2.0.2
+BuildRequires: %{?scl_prefix_ruby}rubygem(jquery-rails) < 2.1
 BuildRequires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
-BuildRequires: %{?scl_prefix}rubygem(therubyracer)
+BuildRequires: %{?scl_prefix_ruby}rubygem(therubyracer)
 BuildRequires: %{?scl_prefix}rubygem(bootstrap-sass) = 3.0.3.0
 BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails) >= 0.1.4
 BuildRequires: %{?scl_prefix}rubygem(spice-html5-rails) < 0.2.0
@@ -343,14 +343,14 @@ Meta package to install requirements for Google Compute Engine (GCE) support
 Summary: Foreman asset pipeline support
 Group: Applications/system
 Requires: %{name} = %{version}-%{release}
-Requires: %{?scl_prefix}rubygem(sass-rails) >= 3.2
-Requires: %{?scl_prefix}rubygem(sass-rails) < 4.0
-Requires: %{?scl_prefix}rubygem(uglifier) >= 1.0.3
-Requires: %{?scl_prefix}rubygem(execjs) >= 1.4.0
-Requires: %{?scl_prefix}rubygem(jquery-rails) >= 2.0.2
-Requires: %{?scl_prefix}rubygem(jquery-rails) < 2.1
+Requires: %{?scl_prefix_ruby}rubygem(sass-rails) >= 3.2
+Requires: %{?scl_prefix_ruby}rubygem(sass-rails) < 4.0
+Requires: %{?scl_prefix_ruby}rubygem(uglifier) >= 1.0.3
+Requires: %{?scl_prefix_ruby}rubygem(execjs) >= 1.4.0
+Requires: %{?scl_prefix_ruby}rubygem(jquery-rails) >= 2.0.2
+Requires: %{?scl_prefix_ruby}rubygem(jquery-rails) < 2.1
 Requires: %{?scl_prefix}rubygem(jquery-ui-rails) < 5.0.0
-Requires: %{?scl_prefix}rubygem(therubyracer)
+Requires: %{?scl_prefix_ruby}rubygem(therubyracer)
 Requires: %{?scl_prefix}rubygem(bootstrap-sass) = 3.0.3.0
 Requires: %{?scl_prefix}rubygem(spice-html5-rails) >= 0.1.4
 Requires: %{?scl_prefix}rubygem(spice-html5-rails) < 0.2.0
@@ -440,7 +440,7 @@ Meta Package to install requirements for postgresql support
 %package sqlite
 Summary: Foreman sqlite support
 Group:  Applications/System
-Requires: %{?scl_prefix}rubygem(sqlite3)
+Requires: %{?scl_prefix_ruby}rubygem(sqlite3)
 Requires: %{name} = %{version}-%{release}
 
 %description sqlite
diff --git a/rubygem-addressable/rubygem-addressable.spec b/rubygem-addressable/rubygem-addressable.spec
index 2c5982102..7db2e7d49 100644
--- a/rubygem-addressable/rubygem-addressable.spec
+++ b/rubygem-addressable/rubygem-addressable.spec
@@ -14,15 +14,16 @@ Group: Development/Languages
 License: GPLv2+ or Ruby
 URL: http://addressable.rubyforge.org/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Addressable is a replacement for the URI implementation that is part of
@@ -34,6 +35,7 @@ adds support for IRIs and URI templates.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-algebrick/rubygem-algebrick.spec b/rubygem-algebrick/rubygem-algebrick.spec
index b080adba6..fad73cd1f 100644
--- a/rubygem-algebrick/rubygem-algebrick.spec
+++ b/rubygem-algebrick/rubygem-algebrick.spec
@@ -12,21 +12,22 @@ License: GPLv3
 URL: http://github.com/pitr-ch/algebrick
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 It's a gem providing algebraic types and pattern matching seamlessly
@@ -36,6 +37,7 @@ integrates with standard features Ruby.
 Summary: Documentation for %{name}
 Group: Documentation
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -84,4 +86,3 @@ cp -pa .%{gem_dir}/* \
 
 * Mon Jan 20 2014 Ivan Nečas <inecas@redhat.com> 0.4.0-1
 - new package built with tito
-
diff --git a/rubygem-ancestry/rubygem-ancestry.spec b/rubygem-ancestry/rubygem-ancestry.spec
index 16030ce4c..8ea89529b 100644
--- a/rubygem-ancestry/rubygem-ancestry.spec
+++ b/rubygem-ancestry/rubygem-ancestry.spec
@@ -13,16 +13,17 @@ License: MIT
 URL: http://github.com/stefankroes/ancestry
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-Requires: %{?scl_prefix}rubygems
-Requires: %{?scl_prefix}rubygem-activerecord >= 2.2.2
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+Requires: %{?scl_prefix_ruby}rubygems
+Requires: %{?scl_prefix_ruby}rubygem-activerecord >= 2.2.2
+BuildRequires: %{?scl_prefix_ruby}rubygems
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(ancestry) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Ancestry allows the records of a ActiveRecord model to be organised in a tree
@@ -39,6 +40,7 @@ TTFunk is a TrueType font parser written in pure ruby.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -107,4 +109,3 @@ mv %{buildroot}%{gem_instdir}/{MIT-LICENSE,README.rdoc} ./
 
 * Fri Aug 10 2012 Miroslav Suchý <msuchy@redhat.com> 1.3.0-1
 - new package built with tito
-
diff --git a/rubygem-angular-rails-templates/rubygem-angular-rails-templates.spec b/rubygem-angular-rails-templates/rubygem-angular-rails-templates.spec
index 19028eff9..4918c5313 100644
--- a/rubygem-angular-rails-templates/rubygem-angular-rails-templates.spec
+++ b/rubygem-angular-rails-templates/rubygem-angular-rails-templates.spec
@@ -18,23 +18,24 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
-Requires:  %{?scl_prefix}ruby(rubygems)
-Requires:  %{?scl_prefix}rubygem(railties) >= 3.1
-Requires:  %{?scl_prefix}rubygem(sprockets)
-Requires:  %{?scl_prefix}rubygem(tilt)
+Requires:  %{?scl_prefix_ruby}ruby(rubygems)
+Requires:  %{?scl_prefix_ruby}rubygem(railties) >= 3.1
+Requires:  %{?scl_prefix_ruby}rubygem(sprockets)
+Requires:  %{?scl_prefix_ruby}rubygem(tilt)
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:      %{?scl_prefix}ruby(abi)
+Requires:      %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:      %{?scl_prefix}ruby(release)
+Requires:      %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-BuildRequires: %{?scl_prefix}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
 %description
@@ -44,6 +45,7 @@ It removes the need for AJAX calls to retrieve the templates (or for you to manu
 %package doc
 BuildArch:  noarch
 Requires:   %{name} = %{epoch}:%{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for %{name}
 
 %description doc
@@ -86,4 +88,3 @@ cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
 
 * Thu Oct 02 2014 Dominic Cleal <dcleal@redhat.com> 0.0.4-7
 - new package built with tito (ehelms@redhat.com)
-
diff --git a/rubygem-ansi/rubygem-ansi.spec b/rubygem-ansi/rubygem-ansi.spec
index 7eb3b68a0..2297319b2 100644
--- a/rubygem-ansi/rubygem-ansi.spec
+++ b/rubygem-ansi/rubygem-ansi.spec
@@ -21,18 +21,19 @@ Source0:   http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 BuildArch: noarch
 Provides:  %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && 0%{!?scl:1})
-Requires:  %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires:  %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires:  %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires:  %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
-Requires:  %{?scl_prefix}rubygems
+Requires:  %{?scl_prefix_ruby}rubygems
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 %description
 %{desc}
@@ -40,6 +41,7 @@ BuildRequires: %{?scl_prefix}rubygems
 %package   doc
 BuildArch: noarch
 Requires:  %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:   Documentation for %{pkg_name}
 
 %description doc
@@ -105,4 +107,3 @@ cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
 
 * Fri Sep 06 2013 Marek Hulan <mhulan@redhat.com> 1.4.3-0
 - new package built with tito
-
diff --git a/rubygem-apipie-bindings/rubygem-apipie-bindings.spec b/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
index 3ee6644a0..335e70768 100644
--- a/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
+++ b/rubygem-apipie-bindings/rubygem-apipie-bindings.spec
@@ -12,27 +12,28 @@ License: MIT
 URL: http://github.com/Apipie/apipie-bindings
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(rest-client) < 1.8.0
 Requires: %{?scl_prefix}rubygem(rest-client) >= 1.6.5
 Requires: %{?scl_prefix}rubygem(awesome_print)
 Requires: %{?scl_prefix}rubygem(oauth)
-Requires: %{?scl_prefix}rubygem(json) >= 1.2.1
+Requires: %{?scl_prefix_ruby}rubygem(json) >= 1.2.1
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires:      %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires:      %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %else
-Requires:      %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires:      %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %endif
 
-BuildRequires: %{?scl_prefix}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(rubygems)
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Bindings for API calls that are documented with Apipie. Bindings are generated on the fly.
@@ -40,6 +41,7 @@ Bindings for API calls that are documented with Apipie. Bindings are generated o
 %package doc
 BuildArch:  noarch
 Requires:   %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for %{name}
 
 %description doc
diff --git a/rubygem-apipie-params/rubygem-apipie-params.spec b/rubygem-apipie-params/rubygem-apipie-params.spec
index e82630a70..bd4714e42 100644
--- a/rubygem-apipie-params/rubygem-apipie-params.spec
+++ b/rubygem-apipie-params/rubygem-apipie-params.spec
@@ -11,21 +11,22 @@ Group: Development/Languages
 License: MIT
 URL: https://rubygems.org/gems/apipie-params
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 
 %if "%{?scl}" == "ruby193" || (0%{?rhel} == 6 && "%{?scl}" == "")
-Requires: %{?scl_prefix}ruby(abi)
-BuildRequires: %{?scl_prefix}ruby(abi)
+Requires: %{?scl_prefix_ruby}ruby(abi)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi)
 %else
-Requires: %{?scl_prefix}ruby(release)
-BuildRequires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %endif
 
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Allows defining structure of data and perform validation against
@@ -35,6 +36,7 @@ it using json-schema
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -85,4 +87,3 @@ cp -a .%{gem_dir}/* \
 
 * Tue May 07 2013 Ivan Necas <inecas@redhat.com> 0.0.2-1
 - new package built with tito
-
diff --git a/rubygem-apipie-rails/rubygem-apipie-rails.spec b/rubygem-apipie-rails/rubygem-apipie-rails.spec
index 21325c00e..a63ed441f 100644
--- a/rubygem-apipie-rails/rubygem-apipie-rails.spec
+++ b/rubygem-apipie-rails/rubygem-apipie-rails.spec
@@ -17,18 +17,19 @@ URL: http://github.com/Pajk/apipie-rails
 Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
 
 
-Requires: %{?scl_prefix}rubygems
+Requires: %{?scl_prefix_ruby}rubygems
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = 1.9.1
+Requires: %{?scl_prefix_ruby}ruby(abi) = 1.9.1
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}rubygems
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}rubygems
 
 BuildArch: noarch
 
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 This gem adds new methods to Rails controllers that can be used to describe
@@ -38,6 +39,7 @@ to generate documentation, client or to validate incoming requests.
 %package doc
 BuildArch:  noarch
 Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 Summary:    Documentation for rubygem-%{gem_name}
 
 %description doc
@@ -189,4 +191,3 @@ cp -a .%{gem_dir}/* \
 
 * Wed Jul 25 2012 Pavel Pokorný <pajkycz@gmail.com> 0.0.7-1
 - new package built with tito
-
diff --git a/rubygem-archive-tar-minitar/rubygem-archive-tar-minitar.spec b/rubygem-archive-tar-minitar/rubygem-archive-tar-minitar.spec
index 1cd678db3..10a7bfe7c 100644
--- a/rubygem-archive-tar-minitar/rubygem-archive-tar-minitar.spec
+++ b/rubygem-archive-tar-minitar/rubygem-archive-tar-minitar.spec
@@ -19,19 +19,20 @@ Source0: http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
 Patch0: rubygem-archive-tar-minitar-0.5.2-fix-tests.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}rubygems-devel
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
@@ -44,6 +45,7 @@ Summary: Documentation for %{name}
 Group: Documentation
 
 Requires: %{name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 
 %description doc
 This package contains documentation for %{name}.
@@ -78,7 +80,7 @@ find %{buildroot}%{gem_instdir}/{lib,tests} -type f | \
   xargs -n 1 sed -i -e '/^#!\/usr\/bin\/env ruby/d'
 
 find %{buildroot}%{gem_instdir}/bin -type f | \
-  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/%{?scl:%{scl_prefix}}ruby"'
+  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/%{?scl:%{scl_prefix_ruby}}ruby"'
 
 # require_gem is deprecated
 # http://rubyforge.org/tracker/?func=detail&aid=22034&group_id=84&atid=409
diff --git a/rubygem-audited-activerecord/rubygem-audited-activerecord.spec b/rubygem-audited-activerecord/rubygem-audited-activerecord.spec
index 235b3122b..979b08f62 100644
--- a/rubygem-audited-activerecord/rubygem-audited-activerecord.spec
+++ b/rubygem-audited-activerecord/rubygem-audited-activerecord.spec
@@ -22,22 +22,23 @@ Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 # tar czvf audited-activerecord-3.0.0-tests.tgz spec/audited/adapters/active_record \
 #   spec/rails_app spec/support/active_record spec/*.rb test
 Source1: %{gem_name}-%{version}-tests.tgz
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
 Requires: %{?scl_prefix}rubygem(audited) = 3.0.0
-Requires: %{?scl_prefix}rubygem(activerecord) => 3.0
-Requires: %{?scl_prefix}rubygem(activerecord) < 4
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}rubygem(activerecord) => 3.0
+Requires: %{?scl_prefix_ruby}rubygem(activerecord) < 4
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildRequires: %{?scl_prefix}rubygem(audited) = 3.0.0
-BuildRequires: %{?scl_prefix}rubygem(minitest)
-BuildRequires: %{?scl_prefix}rubygem(rails) => 3.0
-BuildRequires: %{?scl_prefix}rubygem(rails) < 4
+BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) => 3.0
+BuildRequires: %{?scl_prefix_ruby}rubygem(rails) < 4
 BuildRequires: %{?scl_prefix}rubygem(rspec-rails)
-BuildRequires: %{?scl_prefix}rubygem(sqlite3)
+BuildRequires: %{?scl_prefix_ruby}rubygem(sqlite3)
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Log all changes to your ActiveRecord models
@@ -47,6 +48,7 @@ Log all changes to your ActiveRecord models
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-audited/rubygem-audited.spec b/rubygem-audited/rubygem-audited.spec
index 7fe00800a..2354daf44 100644
--- a/rubygem-audited/rubygem-audited.spec
+++ b/rubygem-audited/rubygem-audited.spec
@@ -13,13 +13,14 @@ Group: Development/Languages
 License: MIT
 URL: https://github.com/collectiveidea/audited
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-Requires: %{?scl_prefix}ruby(rubygems)
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 Log all changes to your models
@@ -29,6 +30,7 @@ Log all changes to your models
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
diff --git a/rubygem-autoparse/rubygem-autoparse.spec b/rubygem-autoparse/rubygem-autoparse.spec
index 92b3ae417..676e6302c 100644
--- a/rubygem-autoparse/rubygem-autoparse.spec
+++ b/rubygem-autoparse/rubygem-autoparse.spec
@@ -14,25 +14,26 @@ URL: http://autoparse.rubyforge.org/
 Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
 
 %if 0%{?fedora} > 18
-Requires: %{?scl_prefix}ruby(release)
+Requires: %{?scl_prefix_ruby}ruby(release)
 %else
-Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+Requires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-Requires: %{?scl_prefix}ruby(rubygems)
-Requires: %{?scl_prefix}ruby
+Requires: %{?scl_prefix_ruby}ruby(rubygems)
+Requires: %{?scl_prefix_ruby}ruby
 Requires: %{?scl_prefix}rubygem(addressable) >= 2.3.1
 Requires: %{?scl_prefix}rubygem(extlib) >= 0.9.15
 Requires: %{?scl_prefix}rubygem(multi_json) >= 1.0.0
 
 %if 0%{?fedora} > 18
-BuildRequires: %{?scl_prefix}ruby(release)
+BuildRequires: %{?scl_prefix_ruby}ruby(release)
 %else
-BuildRequires: %{?scl_prefix}ruby(abi) = %{rubyabi}
+BuildRequires: %{?scl_prefix_ruby}ruby(abi) = %{rubyabi}
 %endif
-BuildRequires: %{?scl_prefix}rubygems-devel
-BuildRequires: %{?scl_prefix}ruby
+BuildRequires: %{?scl_prefix_ruby}rubygems-devel
+BuildRequires: %{?scl_prefix_ruby}ruby
 BuildArch: noarch
 Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}}
 
 %description
 An implementation of the JSON Schema specification. Provides automatic parsing
@@ -42,6 +43,7 @@ for any given JSON Schema.
 Summary: Documentation for %{pkg_name}
 Group: Documentation
 Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
+%{?scl:Obsoletes: ruby193-rubygem-%{gem_name}-doc}
 BuildArch: noarch
 
 %description doc
@@ -83,4 +85,3 @@ cp -a .%{gem_dir}/* \
 %changelog
 * Sun Nov 10 2013 Dominic Cleal <dcleal@redhat.com> 0.3.3-1
 - new package built with tito
-
